Subject: ResourceStreamWrapper::seek gives exactly the wrong bool value
Description

The ResourceStreamWrapper does:

return fseek($this->handle, $offset, $whence);

The documentation to fseek says:

Upon success, returns 0; otherwise, returns -1.

But PHP evaluates 0 to FALSE and -1 to TRUE. So the return value is always wrong. :(

Associated revisions
Revision dd761bb0 - 2012-03-06 19:56 - Ferdinand Kuhl

[BUGFIX] ResourceStreamWrapper returns wrong value for fseek

Calling fseek will always return the wrong value, as fseek
return 0 on success otherwise -1.
The stream_wrapper expects a boolean value. So 0 will be
evaluated to false and -1 will be evaluated to true

Change-Id: Ia1504b93acda83ca8f7378dc09dea2889c76a82d
Fixes: #34608
Releases: 1.0, 1.1

Revision 461bb056 - 2012-03-12 18:37 - Ferdinand Kuhl

[BUGFIX] ResourceStreamWrapper returns wrong value for fseek

Calling fseek will always return the wrong value, as fseek
return 0 on success otherwise -1.
The stream_wrapper expects a boolean value. So 0 will be
evaluated to false and -1 will be evaluated to true

Change-Id: I04d7b61b83f082ca99e071b6edd1bda866a25d76
Fixes: #34608
Releases: 1.0, 1.1
History
#1 - 2012-03-06 20:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9427

#2 - 2012-03-12 18:37 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9587

#3 - 2012-03-13 02:38 - Ferdinand Kuhl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:461bb056be2d6855aa3def46b4dcbe18fca28cd7.
